﻿using System;
using System.Collections.Generic;
using UnityEngine;

namespace Mod
{
	public class Mod : MonoBehaviour
	{

		public static void Main()
		{

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Tank"),
					NameOverride = "Leopard 2A5",
					NameToOrderByOverride = "The Leopard 2A5",
					DescriptionOverride = " The Leopard 2A5 main battle tank is a radically improved variant of the Leopard 2. It was introduced in 1990.",
					CategoryOverride = ModAPI.FindCategory("Vehicles"),
					ThumbnailOverride = ModAPI.LoadSprite("Textures/Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						Destroy(Instance.GetComponentInChildren<RandomCarTextureBehaviour>());

						Instance.transform.Find("Barrel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Barrel.png");
						Instance.transform.Find("Body").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Body.png");
						Instance.transform.Find("Wheel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Wheel0.png");
						Instance.transform.Find("Wheel (1)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Wheel1.png");
						Instance.transform.Find("Wheel (2)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Wheel1.png");
						Instance.transform.Find("Wheel (3)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Wheel1.png");
						Instance.transform.Find("Wheel (4)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Wheel1.png");
						Instance.transform.Find("Wheel (5)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Wheel1.png");
						Instance.transform.Find("Wheel (6)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Wheel1.png");
						Instance.transform.Find("Wheel (7)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Wheel1.png");
						Instance.transform.Find("Wheel (8)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Wheel0.png");
					
						
					}
				}
			);
		}
	}
}

